org.apache.hadoop.security.proto

## Interface RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService.BlockingInterface

- All Known Implementing Classes:
    RefreshUserMappingsProtocolServerSideTranslatorPB
  Enclosing class:
    RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService

      public static interface RefreshUserMappingsProtocolProtos.RefreshUserMappingsProtocolService.BlockingInterface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationResponseProto` | `refreshSuperUserGroupsConfiguration(com.google.protobuf.RpcController controller, RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationRequestProto request)`
    `RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsResponseProto` | `refreshUserToGroupsMappings(com.google.protobuf.RpcController controller, RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsRequestProto request)`

- - ### Method Detail

    - #### refreshUserToGroupsMappings

          RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsResponseProto refreshUserToGroupsMappings(com.google.protobuf.RpcController controller,
                                                                                                                 RefreshUserMappingsProtocolProtos.RefreshUserToGroupsMappingsRequestProto request)
                                                                                                          throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

    - #### refreshSuperUserGroupsConfiguration

          RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationResponseProto refreshSuperUserGroupsConfiguration(com.google.protobuf.RpcController controller,
                                                                                                                                 RefreshUserMappingsProtocolProtos.RefreshSuperUserGroupsConfigurationRequestProto request)
                                                                                                                          throws com.google.protobuf.ServiceException

      Throws:
        `com.google.protobuf.ServiceException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.